<ng-container *ngIf="(isLoadingList$ | async) === false">
  <ng-container *ngIf="pagination$ | async as pagination">
    <div>
      <ng-container *ngIf="suggestion$ | async as suggestion">
        <!-- Suggestion On -->
        <ng-container *ngIf="filter.suggestion === 'on'">
          <ng-container *ngIf="!pagination.empty; else tempNotFound">
            <ng-container
              *ngIf="
                suggestion.suggestion_text !== suggestion.original_text;
                else tempFound
              "
            >
              <div [ngClass]="[jds.fs(14)]">
                Ditemukan
                <strong>
                  {{ pagination.total_items | number : '1.0-0' : 'id' }}
                </strong>
                hasil untuk
                <a
                  [ngClass]="[jds.fontWeight('bold'), jds.text('primary')]"
                  (click)="filterSearch('on', suggestion.suggestion_text)"
                  href="javascript: void(0);"
                >
                  <em>{{ suggestion.suggestion_text }}</em>
                </a>
              </div>
              <div>
                Atau telusuri
                <a
                  [ngClass]="[jds.fontWeight('bold'), jds.text('primary')]"
                  (click)="filterSearch('off', filter.search)"
                  href="javascript: void(0);"
                >
                  <em>{{ filter.search }}</em>
                </a>
              </div>
            </ng-container>
          </ng-container>
        </ng-container>
      </ng-container>

      <!-- Suggestion Off -->
      <ng-container *ngIf="filter.suggestion === 'off'">
        <ng-container *ngIf="!pagination.empty; else tempNotFound">
          <ng-template [ngTemplateOutlet]="tempFound" />
        </ng-container>
      </ng-container>
    </div>

    <ng-template #tempFound>
      <span [ngClass]="[jds.fs(14)]">
        <strong>{{ pagination.total_items | number : '1.0-0' : 'id' }}</strong>
        {{ getType(type) }} ditemukan
      </span>
    </ng-template>

    <ng-template #tempNotFound>
      <span [ngClass]="[jds.fs(14)]">
        {{ getType(type) }} tidak ditemukan
      </span>
    </ng-template>
  </ng-container>
</ng-container>
